# napari-memmap-tiff

[![License MIT](https://img.shields.io/pypi/l/napari-memmap-tiff.svg?color=green)](https://github.com/matham/napari-memmap-tiff/raw/main/LICENSE)
[![PyPI](https://img.shields.io/pypi/v/napari-memmap-tiff.svg?color=green)](https://pypi.org/project/napari-memmap-tiff)
[![Python Version](https://img.shields.io/pypi/pyversions/napari-memmap-tiff.svg?color=green)](https://python.org)
[![tests](https://github.com/matham/napari-memmap-tiff/workflows/tests/badge.svg)](https://github.com/matham/napari-memmap-tiff/actions)
[![codecov](https://codecov.io/gh/matham/napari-memmap-tiff/branch/main/graph/badge.svg)](https://codecov.io/gh/matham/napari-memmap-tiff)
[![napari hub](https://img.shields.io/endpoint?url=https://api.napari-hub.org/shields/napari-memmap-tiff)](https://napari-hub.org/plugins/napari-memmap-tiff)
[![npe2](https://img.shields.io/badge/plugin-npe2-blue?link=https://napari.org/stable/plugins/index.html)](https://napari.org/stable/plugins/index.html)
[![Copier](https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/copier-org/copier/master/img/badge/badge-grayscale-inverted-border-purple.json)](https://github.com/copier-org/copier)

When installed and enabled in the options, it adds an option that when enabled
will make napari load tiffs via memory mapping instead of fully into RAM.

That is, `.tif` and `.tiff` files will be loaded into memory using memory
mapping, which loads the data directly from disk instead of loading the file
at once into RAM. This is beneficial for large files that may not fit into
available RAM.

----------------------------------

This [napari] plugin was generated with [copier] using the [napari-plugin-template].

<!--
Don't miss the full getting started guide to set up your new package:
https://github.com/napari/napari-plugin-template#getting-started

and review the napari docs for plugin developers:
https://napari.org/stable/plugins/index.html
-->

## Installation

You can install `napari-memmap-tiff` via [pip]:

    pip install napari-memmap-tiff



To install latest development version :

    pip install git+https://github.com/matham/napari-memmap-tiff.git


## Contributing

Contributions are very welcome. Tests can be run with [tox], please ensure
the coverage at least stays the same before you submit a pull request.

## License

Distributed under the terms of the [MIT] license,
"napari-memmap-tiff" is free and open source software

## Issues

If you encounter any problems, please [file an issue] along with a detailed description.

[napari]: https://github.com/napari/napari
[copier]: https://copier.readthedocs.io/en/stable/
[@napari]: https://github.com/napari
[MIT]: http://opensource.org/licenses/MIT
[BSD-3]: http://opensource.org/licenses/BSD-3-Clause
[GNU GPL v3.0]: http://www.gnu.org/licenses/gpl-3.0.txt
[GNU LGPL v3.0]: http://www.gnu.org/licenses/lgpl-3.0.txt
[Apache Software License 2.0]: http://www.apache.org/licenses/LICENSE-2.0
[Mozilla Public License 2.0]: https://www.mozilla.org/media/MPL/2.0/index.txt
[napari-plugin-template]: https://github.com/napari/napari-plugin-template

[file an issue]: https://github.com/matham/napari-memmap-tiff/issues

[napari]: https://github.com/napari/napari
[tox]: https://tox.readthedocs.io/en/latest/
[pip]: https://pypi.org/project/pip/
[PyPI]: https://pypi.org/
